post
https://api4.optimove.net/Integrations/AddChannelApps
Adds app IDs and associated names that will be available for selection when running a campaign via the specified channel (typically required when using push notification channels).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Rate Limit
This endpoint is subject to the general API rate limit of 50 requests per 10 seconds. Learn more about handling rate limits.
Notes
- A maximum of 100 templates may be deleted with one call.
- If an AppID being added already exists, it will be replaced with the AppName specified in the call.
- Once added, an app can be deleted by calling the DeleteChannelApps function.
- Available ChannelID values can be seen here, and you can also retrieve the available execution channel IDs and associated channel names using the GetExecutionChannels function.
- This function does not return a payload. A successful call will return a response code of 200 (success). Refer to an explanation of the other possible response codes at Error Handling
Sample Request
https://apiX.optimove.net/current/integrations/AddChannelApps?ChannelID=3
[
{
"AppID": "1234",
"AppName": "ness"
},
{
"AppID": "444",
"AppName": "test"
}
]Sample Response
None 200Success